From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-biology/samtools/
Date: Sun, 10 Apr 2016 09:21:24 +0000 (UTC) [thread overview]
Message-ID: <1460280071.5f3acec053c0f95f355f6c4db5e12994555a4b7a.soap@gentoo> (raw)
commit: 5f3acec053c0f95f355f6c4db5e12994555a4b7a
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 09:20:56 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 09:21:11 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f3acec0
sci-biology/samtools: Remove lua dep, fix perl shebangs
Package-Manager: portage-2.2.28
.../{samtools-1.3.ebuild => samtools-1.3-r1.ebuild} | 17 ++++++++++++++---
1 file changed, 14 insertions(+), 3 deletions(-)
diff --git a/sci-biology/samtools/samtools-1.3.ebuild b/sci-biology/samtools/samtools-1.3-r1.ebuild
similarity index 83%
rename from sci-biology/samtools/samtools-1.3.ebuild
rename to sci-biology/samtools/samtools-1.3-r1.ebuild
index ec510ec..15d6714 100644
--- a/sci-biology/samtools/samtools-1.3.ebuild
+++ b/sci-biology/samtools/samtools-1.3-r1.ebuild
@@ -20,8 +20,7 @@ IUSE="examples"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="sys-libs/ncurses:0=
- >=sci-libs/htslib-${PV}
- dev-lang/lua:0
+ =sci-libs/htslib-${PV}*
dev-lang/perl"
DEPEND="${RDEPEND}
virtual/pkgconfig"
@@ -70,7 +69,19 @@ src_test() {
src_install() {
dobin samtools $(find misc -type f -executable)
- python_replicate_script "${ED}"/usr/bin/varfilter.py
+ python_replicate_script "${ED}"usr/bin/varfilter.py
+
+ # fix perl shebangs
+ pushd "${ED}"usr/bin/ >> /dev/null
+ local i
+ for i in plot-bamstats *.pl; do
+ sed -e '1s:.*:#!/usr/bin/env perl:' -i "${i}" || die
+ done
+
+ # remove lua scripts
+ rm -f r2plot.lua vcfutils.lua || die
+ popd >> /dev/null
+
dolib.so libbam.so*
insinto /usr/include/bam
next reply other threads:[~2016-04-10 9:21 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-04-10 9:21 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-24 8:59 [gentoo-commits] repo/gentoo:master commit in: sci-biology/samtools/ David Seifert
2024-05-24 8:59 David Seifert
2024-03-26 11:06 David Seifert
2023-04-06 19:29 David Seifert
2023-03-30 11:11 David Seifert
2023-02-19 15:44 David Seifert
2022-12-27 0:06 David Seifert
2022-06-19 8:09 David Seifert
2022-06-10 12:42 David Seifert
2022-03-19 11:38 David Seifert
2021-10-11 14:55 David Seifert
2021-10-03 17:41 David Seifert
2021-07-17 21:30 David Seifert
2020-08-03 18:17 David Seifert
2020-08-03 17:40 David Seifert
2020-08-03 16:56 David Seifert
2020-03-27 10:35 David Seifert
2018-10-28 20:25 David Seifert
2016-10-03 20:21 David Seifert
2016-04-09 19:58 David Seifert
2016-03-27 22:53 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2015-09-24 12:56 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1460280071.5f3acec053c0f95f355f6c4db5e12994555a4b7a.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox